[arch-commits] Commit in fssos-nsvs/repos (10 files)

Tom Gundersen tomegun at archlinux.org
Wed Sep 26 22:19:44 UTC 2012


    Date: Wednesday, September 26, 2012 @ 18:19:44
  Author: tomegun
Revision: 167185

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  fssos-nsvs/repos/testing-i686/
  fssos-nsvs/repos/testing-i686/PKGBUILD
    (from rev 167184, fssos-nsvs/trunk/PKGBUILD)
  fssos-nsvs/repos/testing-i686/fssos-nsvs.install
    (from rev 167184, fssos-nsvs/trunk/fssos-nsvs.install)
  fssos-nsvs/repos/testing-i686/nsvsd
    (from rev 167184, fssos-nsvs/trunk/nsvsd)
  fssos-nsvs/repos/testing-i686/nsvsd.service
    (from rev 167184, fssos-nsvs/trunk/nsvsd.service)
  fssos-nsvs/repos/testing-x86_64/
  fssos-nsvs/repos/testing-x86_64/PKGBUILD
    (from rev 167184, fssos-nsvs/trunk/PKGBUILD)
  fssos-nsvs/repos/testing-x86_64/fssos-nsvs.install
    (from rev 167184, fssos-nsvs/trunk/fssos-nsvs.install)
  fssos-nsvs/repos/testing-x86_64/nsvsd
    (from rev 167184, fssos-nsvs/trunk/nsvsd)
  fssos-nsvs/repos/testing-x86_64/nsvsd.service
    (from rev 167184, fssos-nsvs/trunk/nsvsd.service)

-----------------------------------+
 testing-i686/PKGBUILD             |   33 +++++++++++++++++++++++++++++++++
 testing-i686/fssos-nsvs.install   |   17 +++++++++++++++++
 testing-i686/nsvsd                |   36 ++++++++++++++++++++++++++++++++++++
 testing-i686/nsvsd.service        |    8 ++++++++
 testing-x86_64/PKGBUILD           |   33 +++++++++++++++++++++++++++++++++
 testing-x86_64/fssos-nsvs.install |   17 +++++++++++++++++
 testing-x86_64/nsvsd              |   36 ++++++++++++++++++++++++++++++++++++
 testing-x86_64/nsvsd.service      |    8 ++++++++
 8 files changed, 188 insertions(+)

Copied: fssos-nsvs/repos/testing-i686/PKGBUILD (from rev 167184, fssos-nsvs/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2012-09-26 22:19:44 UTC (rev 167185)
@@ -0,0 +1,33 @@
+# $Id$
+# Maintainer: Dale Blount <dale at archlinux.org>
+
+pkgname=fssos-nsvs
+pkgver=0.5
+pkgrel=9
+pkgdesc="NSVS for FSSOS"
+arch=('i686' 'x86_64')
+url="http://fssos.sourceforge.net/"
+license=('GPL')
+depends=('bash' 'mysql')
+backup=('etc/nsvsd.conf')
+options=('!libtool' '!makeflags')
+install=$pkgname.install
+source=("http://downloads.sourceforge.net/sourceforge/fssos/nsvs-$pkgver.tar.gz"
+        'nsvsd'
+	'nsvsd.service')
+
+build() {
+  cd $srcdir/nsvs-$pkgver
+  ./configure --prefix=/usr --sysconfdir=/etc
+  make CFLAGS="${CFLAGS} -D_GNU_SOURCE"
+}
+
+package() {
+  cd $srcdir/nsvs-$pkgver
+  make DESTDIR=$pkgdir install
+  install -D -m755 "$srcdir/nsvsd" "$pkgdir/etc/rc.d/nsvsd"
+  install -D -m644 "$srcdir/nsvsd.service" "$pkgdir/usr/lib/systemd/system/nsvsd.service"
+}
+md5sums=('3f17c2f6339f1a322b712b467023d825'
+         '4dfd9dc0d69b375587e39ab2621d9ea9'
+         '61e970d0704875b1da83cb4e9fc0eef5')

Copied: fssos-nsvs/repos/testing-i686/fssos-nsvs.install (from rev 167184, fssos-nsvs/trunk/fssos-nsvs.install)
===================================================================
--- testing-i686/fssos-nsvs.install	                        (rev 0)
+++ testing-i686/fssos-nsvs.install	2012-09-26 22:19:44 UTC (rev 167185)
@@ -0,0 +1,17 @@
+post_install() {
+    if [ -z "`grep '^nsvsd::' /etc/group`" ]; then
+	groupadd -g 83 nsvsd
+    fi
+    if [ -z "`grep '^nsvsd:' /etc/passwd`" ]; then
+	useradd -u 83 -d /tmp -g nsvsd -s /bin/false nsvsd
+    fi
+}
+
+post_upgrade() {
+    post_install $1
+}
+
+pre_remove() {
+    userdel nsvsd &> /dev/null
+    groupdel nsvsd &> /dev/null
+}

Copied: fssos-nsvs/repos/testing-i686/nsvsd (from rev 167184, fssos-nsvs/trunk/nsvsd)
===================================================================
--- testing-i686/nsvsd	                        (rev 0)
+++ testing-i686/nsvsd	2012-09-26 22:19:44 UTC (rev 167185)
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+  start)
+    stat_busy "Starting nsvsd"
+	/usr/sbin/nsvsd -f /etc/nsvsd.conf
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      add_daemon nsvsd
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping nsvsd"
+    kill `cat /var/run/nsvsd.pid` &>/dev/null
+    rm -f /var/run/nsvsd.pid
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon nsvsd
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 3
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"  
+esac

Copied: fssos-nsvs/repos/testing-i686/nsvsd.service (from rev 167184, fssos-nsvs/trunk/nsvsd.service)
===================================================================
--- testing-i686/nsvsd.service	                        (rev 0)
+++ testing-i686/nsvsd.service	2012-09-26 22:19:44 UTC (rev 167185)
@@ -0,0 +1,8 @@
+[Unit]
+Description=Name Service Via Sockets Daemon
+
+[Service]
+ExecStart=/usr/sbin/nsvsd -f /etc/nsvsd.conf
+
+[Install]
+WantedBy=multi-user.target

Copied: fssos-nsvs/repos/testing-x86_64/PKGBUILD (from rev 167184, fssos-nsvs/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2012-09-26 22:19:44 UTC (rev 167185)
@@ -0,0 +1,33 @@
+# $Id$
+# Maintainer: Dale Blount <dale at archlinux.org>
+
+pkgname=fssos-nsvs
+pkgver=0.5
+pkgrel=9
+pkgdesc="NSVS for FSSOS"
+arch=('i686' 'x86_64')
+url="http://fssos.sourceforge.net/"
+license=('GPL')
+depends=('bash' 'mysql')
+backup=('etc/nsvsd.conf')
+options=('!libtool' '!makeflags')
+install=$pkgname.install
+source=("http://downloads.sourceforge.net/sourceforge/fssos/nsvs-$pkgver.tar.gz"
+        'nsvsd'
+	'nsvsd.service')
+
+build() {
+  cd $srcdir/nsvs-$pkgver
+  ./configure --prefix=/usr --sysconfdir=/etc
+  make CFLAGS="${CFLAGS} -D_GNU_SOURCE"
+}
+
+package() {
+  cd $srcdir/nsvs-$pkgver
+  make DESTDIR=$pkgdir install
+  install -D -m755 "$srcdir/nsvsd" "$pkgdir/etc/rc.d/nsvsd"
+  install -D -m644 "$srcdir/nsvsd.service" "$pkgdir/usr/lib/systemd/system/nsvsd.service"
+}
+md5sums=('3f17c2f6339f1a322b712b467023d825'
+         '4dfd9dc0d69b375587e39ab2621d9ea9'
+         '61e970d0704875b1da83cb4e9fc0eef5')

Copied: fssos-nsvs/repos/testing-x86_64/fssos-nsvs.install (from rev 167184, fssos-nsvs/trunk/fssos-nsvs.install)
===================================================================
--- testing-x86_64/fssos-nsvs.install	                        (rev 0)
+++ testing-x86_64/fssos-nsvs.install	2012-09-26 22:19:44 UTC (rev 167185)
@@ -0,0 +1,17 @@
+post_install() {
+    if [ -z "`grep '^nsvsd::' /etc/group`" ]; then
+	groupadd -g 83 nsvsd
+    fi
+    if [ -z "`grep '^nsvsd:' /etc/passwd`" ]; then
+	useradd -u 83 -d /tmp -g nsvsd -s /bin/false nsvsd
+    fi
+}
+
+post_upgrade() {
+    post_install $1
+}
+
+pre_remove() {
+    userdel nsvsd &> /dev/null
+    groupdel nsvsd &> /dev/null
+}

Copied: fssos-nsvs/repos/testing-x86_64/nsvsd (from rev 167184, fssos-nsvs/trunk/nsvsd)
===================================================================
--- testing-x86_64/nsvsd	                        (rev 0)
+++ testing-x86_64/nsvsd	2012-09-26 22:19:44 UTC (rev 167185)
@@ -0,0 +1,36 @@
+#!/bin/bash
+
+# general config
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+  start)
+    stat_busy "Starting nsvsd"
+	/usr/sbin/nsvsd -f /etc/nsvsd.conf
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      add_daemon nsvsd
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping nsvsd"
+    kill `cat /var/run/nsvsd.pid` &>/dev/null
+    rm -f /var/run/nsvsd.pid
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon nsvsd
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 3
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"  
+esac

Copied: fssos-nsvs/repos/testing-x86_64/nsvsd.service (from rev 167184, fssos-nsvs/trunk/nsvsd.service)
===================================================================
--- testing-x86_64/nsvsd.service	                        (rev 0)
+++ testing-x86_64/nsvsd.service	2012-09-26 22:19:44 UTC (rev 167185)
@@ -0,0 +1,8 @@
+[Unit]
+Description=Name Service Via Sockets Daemon
+
+[Service]
+ExecStart=/usr/sbin/nsvsd -f /etc/nsvsd.conf
+
+[Install]
+WantedBy=multi-user.target




More information about the arch-commits mailing list